### Hierarchy

- Spec
  - Layout

## Index

### Constructors

- constructor

### Properties

- _column
- _heights
- _row
- _uom
- _widths
- _x
- _y
- nodeChildDict

### Accessors

- column
- heights
- row
- uom
- widths
- x
- y

### Methods

- singleHeightNum
- singleHeightRichNum
- singleWidthNum
- singleWidthRichNum
- sumOfHeights
- sumOfWidths

## Constructors

### constructor

- new Layout(node: Node, x?: number, y?: number, width?: number, height?: number, row?: number, col?: number): Layout

- Overrides Spec.constructor

  - Defined in print/PrintForm.ts:1013

  #### Parameters

  - ##### node: Node

  - ##### Optional x: number

  - ##### Optional y: number

  - ##### Optional width: number

  - ##### Optional height: number

  - ##### Optional row: number

  - ##### Optional col: number

  #### Returns Layout

## Properties

### Private _column

_column: number

- Defined in print/PrintForm.ts:1012

### Private _heights

_heights: Array<RichNum>

- Defined in print/PrintForm.ts:1008

### Private _row

_row: number

- Defined in print/PrintForm.ts:1013

### Private _uom

_uom: string

- Defined in print/PrintForm.ts:1007

### Private _widths

_widths: Array<RichNum>

- Defined in print/PrintForm.ts:1009

### Private _x

_x: number

- Defined in print/PrintForm.ts:1010

### Private _y

_y: number

- Defined in print/PrintForm.ts:1011

### Protected nodeChildDict

nodeChildDict: Object

Inherited from Spec.nodeChildDict

- Defined in print/PrintForm.ts:109

## Accessors

### column

- get column(): number

- - Defined in print/PrintForm.ts:1070

  #### Returns number

### heights

- get heights(): RichNum[]

- - Defined in print/PrintForm.ts:1058

  #### Returns RichNum[]

### row

- get row(): number

- - Defined in print/PrintForm.ts:1073

  #### Returns number

### uom

- get uom(): string

- - Defined in print/PrintForm.ts:1055

  #### Returns string

### widths

- get widths(): RichNum[]

- - Defined in print/PrintForm.ts:1061

  #### Returns RichNum[]

### x

- get x(): number

- - Defined in print/PrintForm.ts:1064

  #### Returns number

### y

- get y(): number

- - Defined in print/PrintForm.ts:1067

  #### Returns number

## Methods

### singleHeightNum

- singleHeightNum(): number

- - Defined in print/PrintForm.ts:1077

  #### Returns number

### singleHeightRichNum

- singleHeightRichNum(): RichNum

- - Defined in print/PrintForm.ts:1084

  #### Returns RichNum

### singleWidthNum

- singleWidthNum(): number

- - Defined in print/PrintForm.ts:1093

  #### Returns number

### singleWidthRichNum

- singleWidthRichNum(): RichNum

- - Defined in print/PrintForm.ts:1100

  #### Returns RichNum

### sumOfHeights

- sumOfHeights(): number

- - Defined in print/PrintForm.ts:1109

  #### Returns number

### sumOfWidths

- sumOfWidths(parentSize: number): number

- - Defined in print/PrintForm.ts:1125

  #### Parameters

  - ##### parentSize: number

  #### Returns number

Generated using TypeDoc